Public Announcements

 

Login Issues?

Recently KCPMI Chapter disabled SSL3 in response to the Secure Sockets Layer (SSL 3.0) vulnerability, known as POODLE. This vulnerability was discovered and announced by Google, and very widely publicized. Users need to update the browser settings to avoid personal information at risk. For information on updating the browsers, please see this article: https://zmap.io/sslv3/browsers.html

If you are still having single sign-on issues, please see the

PMI troubleshooting guide

After above settings on your browser and still not able to login, please send an email to webmaster@kcpmichapter.org with the error message screen shots.